﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationDataModels.Models
{
    public interface IPackageModel : IId
    {
        string PackageName { get; }
        double Price { get; }
        Dictionary<int, (IComponentModel, int)> PackageComponents { get; }
    }
}
