﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SoftwareInstallationDataModels.Models;

namespace SoftwareInstallationContracts.BindingModels
{
    public class PackageBindingModel : IPackageModel
    {
        public int Id { get; set; }
        public string PackageName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> PackageComponents
        {
            get;
            set;
        } = new();
    }
}
